/**
 * @author [Victor Diaz]
 * @email [victor.hamil.diaz@gmail.com]
 * @create date 2020-08-23 19:33:32
 * @modify date 2020-08-23 19:33:32
 * @desc [Product constants for redux]
 */
 // --------------------- PRODUCT ---------------------
 const PRODUCT_REQUEST = 'PRODUCT_REQUEST';
 const PRODUCT_SUCCESS = 'PRODUCT_SUCCESS';
 const PRODUCT_FAIL = 'PRODUCT_FAIL';
 // --------------------- PRODUCT DETAILS ---------------------
 const DETAILS_PRODUCT_REQUEST = 'DETAILS_PRODUCT_REQUEST';
 const DETAILS_PRODUCT_SUCCESS = 'DETAILS_PRODUCT_SUCCESS';
 const DETAILS_PRODUCT_FAIL = 'DETAILS_PRODUCT_FAIL';

 const UPDATE_PRICE_PRODUCT_REQUEST = 'UPDATE_PRICE_PRODUCT_REQUEST';
 const UPDATE_PRICE_PRODUCT_SUCCESS = 'UPDATE_PRICE_PRODUCT_SUCCESS';
 const UPDATE_PRICE_PRODUCT_FAIL = 'UPDATE_PRICE_PRODUCT_FAIL';

 const UPDATE_IMAGE_PRODUCT_REQUEST = 'UPDATE_IMAGE_PRODUCT_REQUEST';
 const UPDATE_IMAGE_PRODUCT_SUCCESS = 'UPDATE_IMAGE_PRODUCT_SUCCESS';
 const UPDATE_IMAGE_PRODUCT_FAIL = 'UPDATE_IMAGE_PRODUCT_FAIL';

export {
    PRODUCT_REQUEST,
    PRODUCT_SUCCESS,
    PRODUCT_FAIL,
    DETAILS_PRODUCT_REQUEST,
    DETAILS_PRODUCT_SUCCESS,
    DETAILS_PRODUCT_FAIL,
    UPDATE_PRICE_PRODUCT_SUCCESS,
    UPDATE_PRICE_PRODUCT_FAIL,
    UPDATE_IMAGE_PRODUCT_SUCCESS,
    UPDATE_IMAGE_PRODUCT_FAIL
} 